## libpcap 1.0.0

=== debian/changelog ===
libpcap (1.0.0-6) unstable; urgency=low

  * debian/patches/50_kfreebsd.diff: Disable zerocopy BPF detection
    (it's supported in FreeBSD 8.0+ only).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 12 Dec 2009 18:03:47 +0100

libpcap (1.0.0-5) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Remove README.source.
    + Refresh all patches (and add missing headers).
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>= 7.0.50~).
    + debian/rules: Simplify.
    + debian/libpcap0.8.dirs: Removed.
    + debian/patches/10_install.diff: New patch, create $(bindir) before
      installing files in it.
  * debian/watch: New file.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 29 Nov 2009 14:25:39 +0100

libpcap (1.0.0-4) unstable; urgency=low

  * debian/patches/40_fix_bus_usb_path.diff: New patch from Ubuntu
    changing the usb bus path from /proc/bus/usb to /dev/bus/usb, thanks
    to Andy Matteson <xt.knight@gmail.com> (LP: #408478).
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 07 Sep 2009 20:18:58 +0200

libpcap (1.0.0-3) unstable; urgency=low

  [ Romain Francoise ]
  * debian/patches/15_linker_script.diff: New patch; don't export private
    symbols and leave only the public interface.  Based on patch by Marco
    d'Itri.
  * debian/patches/series: Update.
  * debian/libpcap0.8.symbols: New file, adding symbols (closes: #543167).
    Based on patch by Marco d'Itri.
  * debian/libpcap0.8.shlibs: Removed.
  * debian/control: Set Standards-Version to 3.8.3.
  * debian/control: Add missing dependencies on ${misc:Depends}.

  [ Marco d'Itri ]
  * debian/rules: Preserve $CFLAGS set by dpkg-buildpackage.
  * debian/README.Debian: Do not mention /etc/modules.conf, which is long
    gone.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Sep 2009 14:19:40 +0200

libpcap (1.0.0-2) unstable; urgency=low

  * debian/rules: Move pcap-filter(7) man page to libpcap0.8 from
    libpcap0.8-dev (see #527599).
  * debian/control:
    + Make libpcap0.8 replace libpcap0.8-dev (<< 1.0.0-2) for the
      aforementioned change.
    + Add explicit build-depends on linux-libc-dev (>= 2.6.27) on i386 to
      make sure that tpacket_v2 support gets compiled in (closes: #517098).
    + Move libpcap0.8-dbg to 'debug' to follow override.
    + Set Standards-Version to 3.8.1.
  * debian/patches/20-fix-rename-usbmon.diff: New patch cherry-picked from
    upstream; renames USB capture pseudo-interfaces to 'usbmonN' to avoid
    collision with 'usbN' USB network cards (closes: #516089).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 16 Jun 2009 14:59:24 +0200

libpcap (1.0.0-1) unstable; urgency=low

  * Upload to unstable.
  * debian/libpcap0.8.shlibs: Bump to >= 1.0.0-1 (no real changes, just
    cosmetics).
  * debian/patches/20-fix-any-intf.diff: New patch cherry-picked from
    upstream; fixes handling of the 'any' device.
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 16 Feb 2009 19:24:03 +0100

libpcap (1.0.0-1~exp1) experimental; urgency=low

  * New upstream release (closes: #507019).
    + No changes to existing API, only additions.
    + One of the members of struct bpf_insn (the constant) changed from
      signed to unsigned but this does not break the ABI as users always
      convert it to unsigned anyway (see pcap-bpf.h r1.39 in upstream CVS).
  * debian/libpcap0.8.shlibs: Bump dependency to >= 1.0.0-1~exp1 for API
    additions.
  * debian/rules: Don't remove 'net' in clean target.
  * debian/libpcap0.8-dev.dirs: Add usr/bin.
  * debian/patches/20_mac_syntax.diff: Dropped.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 30 Nov 2008 20:31:52 +0100

libpcap (0.9.8-5) unstable; urgency=low

  * debian/rules: Fix targets to avoid building libpcap-dev in
    binary-arch (doh!).
  * debian/control: Set Standards-Version to 3.8.0.
  * debian/README.source: New file.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Jun 2008 11:58:04 +0200

libpcap (0.9.8-4) unstable; urgency=low

  * Now that the transition is over, rename this source package from
    'libpcap0.8' to 'libpcap'.
  * debian/control: Rename source, adjust Vcs-* fields.
  * debian/rules: Various cleanups.
  * debian/libpcap0.8.post{inst,rm}: Deleted.
  * debian/patches/10_shared_lib.diff: Deal with source name change.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 07 Jun 2008 12:33:47 +0200

libpcap0.8 (0.9.8-3) unstable; urgency=low

  * debian/copyright:
    + Convert to UTF-8 encoding.
    + Add the actual copyright notice.
  * debian/control:
    + Add a new binary package: libpcap0.8-dbg.
    + Change section and priority for libpcap-dev.
    + Tweak short descriptions.
    + Set Standards-Version to 3.7.3.
  * debian/rules:
    + Install debugging symbols in libpcap0.8-dbg.
    + Add -g to default CFLAGS.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 08 Mar 2008 18:53:59 +0100

libpcap0.8 (0.9.8-2) unstable; urgency=low

  * debian/control: Add Vcs-Browser and Vcs-Git fields.
  * debian/patches/50_kfreebsd.diff: Update with new patch by Petr
    Salinger fixing FTBFS on Debian GNU/kFreeBSD (closes: #448694).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 05 Nov 2007 18:32:28 +0100

libpcap0.8 (0.9.8-1) unstable; urgency=low

  * New upstream release: no API changes, no ABI changes.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 28 Sep 2007 18:11:12 +0200

libpcap0.8 (0.9.7-2) unstable; urgency=low

  * debian/control: Move upstream URL to the Homepage field.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Sep 2007 19:11:55 +0200

libpcap0.8 (0.9.7-1) unstable; urgency=low

  * New upstream release (closes: #432645, #433420).
  * debian/patches/50_autotools-dev.diff: New patch, make config.{guess,sub}

