=== debian/control ===
Source: libpcap
Section: devel
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               flex,
               bison,
               perl,
               autotools-dev,
               linux-libc-dev (>= 2.6.27) [i386]
Standards-Version: 3.8.3
Homepage: http://www.tcpdump.org/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/libpcap.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/libpcap.git

Package: libpcap-dev
Section: libdevel
Architecture: all
Depends: libpcap0.8-dev, ${misc:Depends}
Description: development library for libpcap (transitional package)
 Empty package to facilitate upgrades, can be safely removed.

Package: libpcap0.8-dev
Section: libdevel
Architecture: any
Depends: libpcap0.8 (= ${binary:Version}), ${misc:Depends}, libc6-dev
Conflicts: libpcap-dev (<< 0.9), libpcap0.7-dev
Description: development library and header files for libpcap0.8
 Headers, static libraries, and documentation for the libpcap library.
 .
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics
 collection, security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, we've created this system-independent API to ease in
 porting and to alleviate the need for several system-dependent packet
 capture modules in each application.

Package: libpcap0.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libpcap0.8-dev (<< 1.0.0-2)
Description: system interface for user-level packet capture
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics collection,
 security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for
 packet capture, and since there are several tools that require this
 functionality, we've created this system-independent API to ease in
 porting and to alleviate the need for several system-dependent packet
 capture modules in each application.

Package: libpcap0.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libpcap0.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debugging symbols for libpcap0.8
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics collection,
 security monitoring, network debugging, etc.
 .
 This package contains the debugging symbols for the libpcap library.
