## libpcap 1.0.0-1

=== debian/control ===
Source: libpcap
Priority: extra
Maintainer: Felipe Zimmerle <felipe@zimmerle.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2
Section: libs

Package: libpcap-dev
Section: libdevel
Architecture: any
Depends: libpcap1 (= ${Source-Version})
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: libpcap1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
