=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS += -D_FILE_OFFSET_BITS=64

%:
	dh $@

override_dh_install:
	dh_install --fail-missing
	# pcap-filter man page goes into libpcap0.8 (#527599)
	rm debian/libpcap0.8-dev/usr/share/man/man7/pcap-filter.7

override_dh_strip:
	dh_strip --dbg-package=libpcap0.8-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4
