## libpcap 1.3.0

=== debian/changelog ===
libpcap (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 13 Jun 2012 23:16:16 +0200

libpcap (1.2.1-3) unstable; urgency=low

  * Use dh-autoreconf.
  * Add CPPFLAGS to CFLAGS to avoid losing fortify hardening flags
    (closes: #674493).
  * Make sure we use LDFLAGS while linking the shared library to avoid
    losing the relro hardening flag.
  * Rename linker script to avoid unpatch failure.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 26 May 2012 15:53:07 +0200

libpcap (1.2.1-2) unstable; urgency=low

  * Cherry-pick commit d55b6f4f1b from upstream to make absence of
    Netfilter support in the kernel non-fatal (closes: #672337).
  * debian/control: Set Standards-Version to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 10 May 2012 20:37:13 +0200
