## libpcap 1.4.0

=== debian/changelog ===
libpcap (1.4.0-2) unstable; urgency=low

  * Fix FTBFS on hurd-i386 due to pcap_findalldevs() refactoring.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 15 Jun 2013 12:32:23 +0200

libpcap (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Make debug package Multi-Arch: same.
  * Use canonical locations in Vcs-* fields.
  * Set Standards-Version to 3.9.4.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 26 May 2013 18:21:24 +0200
