=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                perl,
                autotools-dev,
                linux-libc-dev (>= 2.6.27) [i386]
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.tcpdump.org/
-Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/libpcap.git
-Vcs-Git: git://git.debian.org/git/users/rfrancoise/libpcap.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
+Vcs-Git: git://anonscm.debian.org/users/rfrancoise/libpcap.git
 
 Package: libpcap-dev
 Section: libdevel
@@ -62,6 +62,7 @@
 Priority: extra
 Architecture: any
 Depends: libpcap0.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: debugging symbols for libpcap0.8
  libpcap (Packet CAPture) provides a portable framework for low-level
  network monitoring.  Applications include network statistics collection,
