=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                perl,
                autotools-dev,
                linux-libc-dev (>= 2.6.27) [i386]
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
 Vcs-Git: git://anonscm.debian.org/users/rfrancoise/libpcap.git
