=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                bison,
                perl,
                autotools-dev,
-               linux-libc-dev (>= 2.6.27) [i386]
+               linux-libc-dev (>= 2.6.27) [i386],
+               libbluetooth-dev [linux-any]
 Standards-Version: 3.9.5
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
