=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-export CFLAGS += -D_FILE_OFFSET_BITS=64
-
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_install:
 	dh_install --fail-missing
