## libpcap 1.6.2

=== debian/changelog ===
libpcap (1.6.2-2) unstable; urgency=medium

  * Re-enable zerocopy BPF on kFreeBSD (closes: #764228).
  * Set Standards-Version to 3.9.6.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Oct 2014 19:28:05 +0200

libpcap (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 04 Sep 2014 19:06:26 +0200

libpcap (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Amend configure test for new bt-monitor interface to make it fail properly
    when built with BlueZ 5.x, as it's apparently not compatible yet.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 30 Jul 2014 21:05:16 +0200

libpcap (1.5.3-4) unstable; urgency=high

  * Disable zerocopy BPF on kFreeBSD to work around broken atomic support,
    see #750836 (closes: #750805).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Jun 2014 13:08:16 +0200

libpcap (1.5.3-3) unstable; urgency=medium

  * Add support for packet capture on GNU/Hurd (w/ netdde drivers), patch by
    Richard Braun <rbraun@sceen.net> (closes: #744198).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Jun 2014 20:07:04 +0200
