## libpcap 1.7.4

=== debian/changelog ===
libpcap (1.7.4-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: pcapng reading buffer over-read.
    - debian/patches/CVE-2019-15165-1.patch: do sanity checks on PHB
      header length before allocating memory.
    - debian/patches/CVE-2019-15165-2.patch: fix introduced format
      warning
    - CVE-2019-15165

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 21 Nov 2019 17:55:35 -0800

libpcap (1.7.4-2) unstable; urgency=medium

  * Only override arch-dependent dh targets (closes: #806061).
  * Update versioned build-depends on debhelper accordingly.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 28 Nov 2015 18:54:26 +0100

libpcap (1.7.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 04 Jul 2015 23:15:11 +0200

libpcap (1.7.3-1) unstable; urgency=medium

  * New upstream release, API addition: pcap_dump_open_append().

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 24 May 2015 19:05:44 +0200
