=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libpcap
 Section: devel
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Build-Depends: debhelper (>= 8.9.7),
                dh-autoreconf,
                flex,
                bison,
@@ -10,7 +11,7 @@
                autotools-dev,
                linux-libc-dev (>= 2.6.27) [i386],
                libbluetooth-dev [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
 Vcs-Git: git://anonscm.debian.org/users/rfrancoise/libpcap.git
