=== debian/watch ===
version=3
http://www.tcpdump.org release/libpcap-([\d\.]*).tar.gz
