## libpcap 1.8.1

=== debian/changelog ===
libpcap (1.8.1-6ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0001-Revert-Add-file-capture-length-sanity-check-for-pcap.patch:
      Revert an upstream commit - it makes dbus-test-runner's testsuite, which
      uses bustle, fail. I think it sets a SNAPLEN more than the maximum - which
      is not enforced - and fails a new check.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2018 16:14:52 +0100

libpcap (1.8.1-6) unstable; urgency=medium

  * debian/watch: add pgpsigurlmangle option.
  * Add upstream signing key in debian/upstream.
  * Make transitional package libpcap-dev 'Multi-Arch: same'.
  * Use new URLs on salsa.debian.org for Vcs-* fields.
  * Lintian cleanups:
    + Make libpcap0.8-dbg 'Priority: optional'.
    + Use /usr/share/dpkg/architecture.mk instead of setting DEB_HOST_ARCH_OS.
    + Bump Standards-Version to 4.1.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Dec 2017 16:56:33 +0100

libpcap (1.8.1-5ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0001-Revert-Add-file-capture-length-sanity-check-for-pcap.patch:
      Revert an upstream commit - it makes dbus-test-runner's testsuite, which
      uses bustle, fail. I think it sets a SNAPLEN more than the maximum - which
      is not enforced - and fails a new check.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Oct 2017 10:15:04 +0200

libpcap (1.8.1-5) unstable; urgency=medium

  * Remove unused RPATH handling from pcap-config: now that we no longer
    output the -L option in front, it causes --libs output to begin with a
    space, which displeases cmake (closes: #876123).
  * Make libpcap-dev arch:any to allow cross-building, as suggested by
    Helmut Grohne (closes: #820829).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 30 Sep 2017 17:46:37 +0200

libpcap (1.8.1-4ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0001-Revert-Add-file-capture-length-sanity-check-for-pcap.patch:
      Revert an upstream commit - it makes dbus-test-runner's testsuite, which
      uses bustle, fail. I think it sets a SNAPLEN more than the maximum - which
      is not enforced - and fails a new check.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Sep 2017 22:10:53 +0200

libpcap (1.8.1-4) unstable; urgency=medium

  * Don't include arch-dependent paths in pcap-config --libs output.
  * Make libpcap0.8-dev Multi-Arch: same, with thanks to Francois Gouget
    (closes: #760370).
  * Set Standards-Version to 4.1.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 02 Sep 2017 17:57:04 +0200

libpcap (1.8.1-3ubuntu1) zesty; urgency=medium

  * debian/patches/0001-Revert-Add-file-capture-length-sanity-check-for-pcap.patch:
    Revert an upstream commit - it makes dbus-test-runner's testsuite, which
    uses bustle, fail. I think it sets a SNAPLEN more than the maximum - which
    is not enforced - and fails a new check.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 14:12:29 +0000

libpcap (1.8.1-3) unstable; urgency=medium

  * Disable bits of remote capture support inherited from the WinPCAP
    merge which cause applications to FTBFS if they define HAVE_REMOTE
    (closes: #843384).
  * Fix warning in pcap-tstamp(7) pointed out by lintian.
  * Use cgit URL in Vcs-Browser.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Nov 2016 18:15:18 +0100

libpcap (1.8.1-2) unstable; urgency=medium

  * Update Debian-specific Hurd packet interface to use the new internal API,
    fixes FTBFS.
  * Include <sys/kern/time.h> in BPF packet interface to get access to
    `struct bintime' and friends on kFreeBSD, fixes FTBFS.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 30 Oct 2016 12:05:19 +0100

libpcap (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Oct 2016 18:53:48 +0200

libpcap (1.7.4-3) unstable; urgency=medium

  * Drop unnecessary build-depends on perl (closes: #816187).
  * Hardcode packet interface type in debian/rules to make cross-building
    easier, patch by Samuel Thibault (closes: #816188).
  * Stop patching config.{guess,sub}, dh_update_autotool_config now
    handles that automatically for us.
  * Set Standards-Version to 3.9.8.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Sep 2016 12:07:26 +0200
