=== debian/control ===
--- 
+++ 
@@ -1,33 +1,37 @@
 Source: libpcap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 8.9.7),
+Maintainer: Romain Francoise <rfrancoise@debian.org>
+Build-Depends: autotools-dev,
+               bison,
+               debhelper (>= 8.9.7),
                dh-autoreconf,
                flex,
-               bison,
-               perl,
-               autotools-dev,
-               linux-libc-dev (>= 2.6.27) [i386],
-               libbluetooth-dev [linux-any]
-Standards-Version: 3.9.6
+               libbluetooth-dev [linux-any],
+               linux-libc-dev (>= 2.6.27) [i386]
+Standards-Version: 4.1.2
 Homepage: http://www.tcpdump.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/libpcap.git
-Vcs-Git: git://anonscm.debian.org/users/rfrancoise/libpcap.git
+Vcs-Browser: https://salsa.debian.org/rfrancoise/libpcap
+Vcs-Git: https://salsa.debian.org/rfrancoise/libpcap.git
 
 Package: libpcap-dev
 Section: libdevel
-Architecture: all
-Depends: libpcap0.8-dev, ${misc:Depends}
+Architecture: any
+Depends: libpcap0.8-dev,
+         ${misc:Depends}
+Multi-Arch: same
 Description: development library for libpcap (transitional package)
  Empty package to facilitate upgrades, can be safely removed.
 
 Package: libpcap0.8-dev
 Section: libdevel
 Architecture: any
-Depends: libpcap0.8 (= ${binary:Version}), ${misc:Depends}, libc6-dev
-Conflicts: libpcap-dev (<< 0.9), libpcap0.7-dev
+Depends: libc6-dev,
+         libpcap0.8 (= ${binary:Version}),
+         ${misc:Depends}
+Conflicts: libpcap-dev (<< 0.9),
+           libpcap0.7-dev
+Multi-Arch: same
 Description: development library and header files for libpcap0.8
  Headers, static libraries, and documentation for the libpcap library.
  .
@@ -45,7 +49,8 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: libpcap0.8-dev (<< 1.0.0-2)
 Multi-Arch: same
 Description: system interface for user-level packet capture
@@ -61,9 +66,11 @@
 
 Package: libpcap0.8-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: libpcap0.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpcap0.8 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: debugging symbols for libpcap0.8
  libpcap (Packet CAPture) provides a portable framework for low-level
