## libpcap 1.8.1.1

=== debian/changelog ===
libpcap (1.8.1.1-6+dde) unstable; urgency=low

  * ['Autobuild release-candidate: f5931327bdb526774bae7d9337f18aa01e0b05ef']

 -- shuttle <shuttle@deepin.com>  Tue, 01 Sep 2020 19:32:07 +0000
