## libpcap 1.9.0

=== debian/changelog ===
libpcap (1.9.0-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Install upstream pkg-config file (closes: #922219).

  [ Romain Francoise ]
  * Bump Standards-Version to 4.4.0.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 13 Jul 2019 20:48:26 +0200

libpcap (1.9.0-1) experimental; urgency=medium

  * New upstream release:
    + API additions: pcap_bufsize(), pcap_dump_ftell64(),
      pcap_get_required_select_timeout() and pcap_set_protocol_linux()
      (only on Linux).
    + Fixes issues with capture length for D-Bus (closes: #846241).
  * Cherry-pick commit dcda937d4715 from upstream Git to fix issues with
    VLAN filtering (closes: #909749).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 04 Nov 2018 18:18:37 +0100
