## libpcap 1.9.1

=== debian/changelog ===
libpcap (1.9.1-3ubuntu1.20.04.1) focal; urgency=medium

  * Tcpdump utility captures incorrect packets on VLAN interface when using
    SLL2 (LP: #2076398)
    - d/p/lp2076398-linux-set-handlep-vlan_offset-if-the-linktype-is-cha.patch

 -- Chengen Du <chengen.du@canonical.com>  Fri, 09 Aug 2024 08:27:44 +0000

libpcap (1.9.1-3) unstable; urgency=medium

  * Drop debian/patches/bluez-build.diff (closes: #954181).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 23 Mar 2020 20:17:44 +0100

libpcap (1.9.1-2) unstable; urgency=medium

  * Fix FTBFS on Hurd.
  * Bump Standards-Version to 4.4.1.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 08 Oct 2019 13:37:31 +0200

libpcap (1.9.1-1) unstable; urgency=medium

  * New upstream release, fixes CVE-2018-16301 and CVE-2019-15165
    (closes: #941697).
  * Export new symbol `pcap_datalink_val_to_description_or_dlt'.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Oct 2019 17:54:57 +0200
