=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libpcap
 Section: devel
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: autotools-dev,
                bison,
                debhelper (>= 8.9.7),
@@ -9,7 +10,7 @@
                flex,
                libbluetooth-dev [linux-any],
                linux-libc-dev (>= 2.6.27) [i386]
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: https://salsa.debian.org/rfrancoise/libpcap
 Vcs-Git: https://salsa.debian.org/rfrancoise/libpcap.git
